%define realname Ecasound
%define modname ecasound
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A11_%{modname}.ini

Summary:	%{realname} provides audio recording and processing functions for PHP
Name:		php-%{modname}
Version:	0.2
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/ecasound
Source0:	%{realname}-%{version}.tar.bz2
Source1:	%{modname}.ini
Requires:	php-cli >= 3:5.2.0
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libecasound-devel
Requires:	ecasound
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension wraps the Ecasound libraries to provide advanced audio
processing capabilities.

%prep

%setup -q -n %{realname}-%{version}

cp %{SOURCE1} %{inifile}

%build

%{_usrsrc}/php-devel/buildext %{modname} "%{modname}.c" \
    "-lecasoundc" "-DCOMPILE_DL_ECASOUND -I%{_includedir}/libecasoundc"

#phpize
#%%configure2_5x \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS ECASOUND_HOWTO README* ecasound.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdv2007.0
+ Revision: 117570
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdv2007.0
+ Revision: 78146
- fix deps
- rebuilt for php-5.2.0
- Import php-ecasound



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1
- rebuilt for php-5.1.6

* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-5
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.2-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.2-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.2-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.2-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.2-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2-1mdk
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.2-1mdk
- built for php 4.3.3
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.2-1mdk
- initial cooker contrib
